Loading...
Searching...
No Matches
BALL::VIEW::StageSettings Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/stageSettings.h>`

Inheritance diagram for BALL::VIEW::StageSettings:

## Public Slots

void | computeDefaultPressed ()
void | loadEnvironmentMapPressed ()
| Show a QFileDialog to select a new environment texture map for the Scene.
void | environmentMapChanged (bool active)
void | fogBoxChanged (bool active)
void | screenCountChanged (int number)
void | stereoScreenChanged (int new_screen)
void | identifyDisplays ()
void | stereoModeChanged ()

## Public Member Functions

| StageSettings (QWidget *parent=0, const char *name="StageSettings", Qt::WindowFlags fl=0)
| Constructor.
| ~StageSettings ()
| Destructor.
void | updateFromStage ()
| Get the values for Stageing from the stage.
void | apply ()
| Apply the new values to the stage.
void | getGLSettings ()
int | getControlScreenNumber () const
int | getLeftEyeScreenNumber () const
int | getRightEyeScreenNumber () const
Renderer::StereoMode | getStereoMode () const
RenderSetup::RendererType | getControlScreenRendererType () const
RenderSetup::RendererType | getStereoScreensRendererType () const
QRect | getLeftEyeGeometry () const
QRect | getRightEyeGeometry () const
virtual bool | setValueAllowed (QObject *widget)
| Allows to prevent restoring of widgets.
Public Member Functions inherited from BALL::VIEW::PreferencesEntry
| PreferencesEntry ()
virtual | ~PreferencesEntry ()
virtual void | writePreferenceEntries (INIFile &inifile)
| Store the settings of all registered objects.
virtual void | readPreferenceEntries (const INIFile &inifile)
| Restore the settings of all registered objects.
void | setINIFileSectionName (const String &name)
| Set the name for the section in the INIFile.
const String & | getINIFileSectionName () const
| Get the name for the section in the INIFile.
void | setWidgetStackName (const String &name)
StackPages & | getStackPages ()
| Return all pages, that are to be shown in a parent QStackedWidget.
void | setWidgetStack (QStackedWidget *stack)
virtual void | showStackPage (Position nr)
| Show the specified page in the QStackedWidget.
virtual void | showStackPage (QWidget *widget)
| Show the specified page in the QStackedWidget.
virtual Position | currentStackPage () const
| Get the currently shown page in the QStackedWidget.
virtual void | restoreDefaultValues (bool all=false)
| Set all registered objects to their default values.
virtual void | storeValues ()
virtual void | restoreValues (bool all=false)
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const

## Additional Inherited Members

Public Types inherited from BALL::VIEW::PreferencesEntry
typedef std::list< std::pair< QWidget *, String > > | StackPages
Protected Types inherited from BALL::VIEW::PreferencesEntry
typedef HashMap< const QObject *, String > | ValueMap
Protected Member Functions inherited from BALL::VIEW::PreferencesEntry
void | registerWidgets_ ()
void | registerObject_ (QObject *widget)
void | unregisterObject_ (QObject *widget)
BALL_DEPRECATED void | registerWidgetForHelpSystem_ (const QWidget *, const String &)
void | restoreValues_ (bool all, const ValueMap &map)
void | insertStackEntry_ (QWidget *, const String &name)
bool | isSupported_ (QObject &widget)
bool | getValue_ (const QObject *widget, String &value)
bool | setValue_ (QObject *widget, const String &value)
Protected Attributes inherited from BALL::VIEW::PreferencesEntry
String | inifile_section_name_
HashSet< QObject * > | registered_objects_
ValueMap | default_values_
ValueMap | last_values_
QStackedWidget * | widget_stack_
StackPages | stack_pages_

## Detailed Description

Dialog for the Stage setup. Following options can be set:

- background color of the Scene
- if a coordinate system is shown in the Scene
- mouse sensitivity in the Scene
- mouse wheel sensitivity in the Scene

Definition at line 50 of file stageSettings.h.

## Constructor & Destructor Documentation

## StageSettings()

BALL::VIEW::StageSettings::StageSettings | ( | QWidget * | parent = 0,
|  | const char * | name = "StageSettings",
|  | Qt::WindowFlags | fl = 0 )

Constructor.

## ~StageSettings()

BALL::VIEW::StageSettings::~StageSettings | ( |  | ) |

inline

Destructor.

Definition at line 63 of file stageSettings.h.

## Member Function Documentation

## apply()

void BALL::VIEW::StageSettings::apply | ( |  | ) |

Apply the new values to the stage.

## computeDefaultPressed

void BALL::VIEW::StageSettings::computeDefaultPressed | ( |  | ) |

slot

## environmentMapChanged

void BALL::VIEW::StageSettings::environmentMapChanged | ( | bool | active | ) |

slot

## fogBoxChanged

void BALL::VIEW::StageSettings::fogBoxChanged | ( | bool | active | ) |

slot

## getControlScreenNumber()

int BALL::VIEW::StageSettings::getControlScreenNumber | ( |  | ) | const

Return the screen number of the control screen in our stereo setup.

## getControlScreenRendererType()

RenderSetup::RendererType BALL::VIEW::StageSettings::getControlScreenRendererType | ( |  | ) | const

Return the selected renderer for the control screen

## getGLSettings()

void BALL::VIEW::StageSettings::getGLSettings | ( |  | ) |

## getLeftEyeGeometry()

QRect BALL::VIEW::StageSettings::getLeftEyeGeometry | ( |  | ) | const

Return the screen geometry for the left eye

## getLeftEyeScreenNumber()

int BALL::VIEW::StageSettings::getLeftEyeScreenNumber | ( |  | ) | const

Return the screen number of the right eye in our stereo setup.

## getRightEyeGeometry()

QRect BALL::VIEW::StageSettings::getRightEyeGeometry | ( |  | ) | const

Return the screen geometry for the right eye

## getRightEyeScreenNumber()

int BALL::VIEW::StageSettings::getRightEyeScreenNumber | ( |  | ) | const

Return the screen number of the right eye in our stereo setup.

## getStereoMode()

Renderer::StereoMode BALL::VIEW::StageSettings::getStereoMode | ( |  | ) | const

Return the chosen stereo mode

## getStereoScreensRendererType()

RenderSetup::RendererType BALL::VIEW::StageSettings::getStereoScreensRendererType | ( |  | ) | const

Return the selected renderer for the stereo screens

## identifyDisplays

void BALL::VIEW::StageSettings::identifyDisplays | ( |  | ) |

slot

## loadEnvironmentMapPressed

void BALL::VIEW::StageSettings::loadEnvironmentMapPressed | ( |  | ) |

slot

Show a QFileDialog to select a new environment texture map for the Scene.

## screenCountChanged

void BALL::VIEW::StageSettings::screenCountChanged | ( | int | number | ) |

slot

## setValueAllowed()

virtual bool BALL::VIEW::StageSettings::setValueAllowed | ( | QObject * |  | ) |

virtual

Allows to prevent restoring of widgets.

Reimplemented from BALL::VIEW::PreferencesEntry.

## stereoModeChanged

void BALL::VIEW::StageSettings::stereoModeChanged | ( |  | ) |

slot

## stereoScreenChanged

void BALL::VIEW::StageSettings::stereoScreenChanged | ( | int | new_screen | ) |

slot

## updateFromStage()

void BALL::VIEW::StageSettings::updateFromStage | ( |  | ) |

Get the values for Stageing from the stage.